#
# spec file for package VFlib3 (Version 3.6.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake freetype t1lib t1lib-devel te_kpath xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit t1lib t1lib-devel te_kpath texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         VFlib3
Copyright:    LGPL
Group:        Development/Libraries
Autoreqprov:  on
Version:      3.6.10
Release:      61
Requires:     freetype, t1lib
URL:          http://typehack.aial.hiroshima-u.ac.jp/VFlib/
Source0:      ftp://TypeHack.aial.hiroshima-u.ac.jp/pub/TypeHack/VFlib3-3.6.10.tar.bz2
Source1:      vflibcap-tex
Patch0:       VFlib3-3.6.10-missing-headers.patch
BuildRoot:    %{_tmppath}/%{name}-root/
Summary:      Versatile Font Library
Summary(ja):  "Versatile" եȥ饤֥

%description
VFlib is a font library written in C language with several functions
to obtain bitmaps of fonts.  Unique feature of VFlib is that fonts
in different formats are accessed by unified interface.
VFlib supports the following font formats:
TeX fonts:       PK, GF, VF, TFM
Omega TeX fonts: OFM (level 0), OVF
X Window fonts:  PCF, BDF
Other fonts:     TrueType, Type 1, HBF, Syotai Club, JG, ekanji

Authors:
--------
    Hirotsugu Kakugawa <h.kakugawa@computer.org>

SuSE series: gra

%package      -n VFlib3-devel
Summary:      development libraries for VFlib3
Group:        Development/Libraries

%description  -n VFlib3-devel
development environment for VFlib3 (static libraries, header files ...)

Authors:
--------
    Hirotsugu Kakugawa <h.kakugawa@computer.org>

SuSE series: gra

%prep
%setup0
%patch0 -p 1

%build
rm -f config.cache
# update config.{guess,sub}
%{?suse_update_config}
export CFLAGS="$RPM_OPT_FLAGS" 
./configure --prefix=/usr \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
	    --with-kpathsea \
	    --with-kpathsea-includedir=/usr/include \
	    --with-kpathsea-libdir=/usr/lib \
	    --with-freetype \
	    --with-freetype-includedir=/usr/include/freetype \
	    --with-freetype-libdir=/usr/lib \
	    --with-t1lib \
	    --with-t1lib-includedir=/usr/include \
	    --with-t1lib-libdir=/usr/lib \
	    --with-texmf-root=/usr/share/texmf \
            %{_target_cpu}-suse-linux-gnu
make 

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
make prefix=$RPM_BUILD_ROOT/usr \
     infodir=$RPM_BUILD_ROOT%{_infodir} \
     mandir=$RPM_BUILD_ROOT%{_mandir} \
     install
install -m 644 $RPM_SOURCE_DIR/vflibcap-tex $RPM_BUILD_ROOT/usr/share/VFlib/%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ANNOUNCE* CHANGES COPYING* DISTRIB* INSTALL
%doc /usr/share/VFlib/%{version}/doc/*
%doc /usr/share/info/VFlib*info*
%dir /usr/share/VFlib/site
/usr/share/VFlib/%{version}/t1lib/*
/usr/share/VFlib/%{version}/ccv/*
/usr/share/VFlib/%{version}/ascii-jtex/*
/usr/share/VFlib/%{version}/vflibcap*
/usr/bin/*
/usr/lib/libVFlib3.so.*

%files -n VFlib3-devel
%defattr(-, root, root)
/usr/lib/libVFlib3.so
/usr/lib/libVFlib3.la
/usr/include/*

%changelog -n VFlib3
* Sat Aug 11 2001 - mfabian@suse.de
- update to VFlib3-3.6.10
- remove VFlib3-3.6.10-make-missing-glyph.patch (included upstream)
- remove VFlib3-3.6.10-vflibcaps.patch and add a "vflibcap-tex"
  working for pTeX/pLaTeX as an extra source file instead
- prefer pk fonts to Type1 fonts again, Type1 fonts are rendered
  too slow especially the Wadalab fonts for CJK-LaTeX. pk
  fonts are only slow once, when they have to be created. The
  rendering later is fast. On top of that, there is a spacing
  problem with the Wadalab PostScript fonts, they are spaced
  much too wide (this problem was not present in VFlib3-3.6.9).
* Tue Mar 06 2001 - mfabian@suse.de
- add "jis" and "jisg" to '((ascii-jtex-kanji "%%f.jtex")'
  font-mapping these fonts are used for example by the
  new Japanese document classes from the jsclasses package.
* Fri Feb 23 2001 - mfabian@suse.de
- changes to vflibcap-tex:
  prefer Type1 fonts to pk fonts, add entry for TrueType fonts,
  add option to make missing pk fonts
- fix the creation of missing pk fonts in fsearchc.
* Fri Feb 23 2001 - mfabian@suse.de
- added info files to file list
* Fri Feb 16 2001 - mfabian@suse.de
- new package: VFlib3 version 3.6.9
